/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcommunicaterecord.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.util.Date;

/**
 * 沟通内容Entity
 * @author 马鹏波
 * @version 2018-06-06
 */
public class WorkCommunicateContent extends DataEntity<WorkCommunicateContent> {
	
	private static final long serialVersionUID = 1L;
	private String contentNumber;		// 序号
	private Date contentDate;		// 日期
	private String contentDetail;		// 沟通内容
	private String contentWay;		// 沟通方式
	private String contentFeedback;		// 反馈意见
	private String communicateId;		// 主表id
	
	public WorkCommunicateContent() {
		super();
	}

	public WorkCommunicateContent(String id){
		super(id);
	}

	@ExcelField(title="序号", align=2, sort=7)
	public String getContentNumber() {
		return contentNumber;
	}

	public void setContentNumber(String contentNumber) {
		this.contentNumber = contentNumber;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="日期", align=2, sort=8)
	public Date getContentDate() {
		return contentDate;
	}

	public void setContentDate(Date contentDate) {
		this.contentDate = contentDate;
	}
	
	@ExcelField(title="沟通内容", align=2, sort=9)
	public String getContentDetail() {
		return contentDetail;
	}

	public void setContentDetail(String contentDetail) {
		this.contentDetail = contentDetail;
	}
	
	@ExcelField(title="沟通方式", align=2, sort=10)
	public String getContentWay() {
		return contentWay;
	}

	public void setContentWay(String contentWay) {
		this.contentWay = contentWay;
	}
	
	@ExcelField(title="反馈意见", align=2, sort=11)
	public String getContentFeedback() {
		return contentFeedback;
	}

	public void setContentFeedback(String contentFeedback) {
		this.contentFeedback = contentFeedback;
	}
	
	@ExcelField(title="主表id", align=2, sort=12)
	public String getCommunicateId() {
		return communicateId;
	}

	public void setCommunicateId(String communicateId) {
		this.communicateId = communicateId;
	}
	
}